Search Opportunities
Search Opportunities based on combinations of advanced filters. See: https://help.hoopai.com/api-reference/overview/opportunities-search
POST
/
opportunities
/
search
Search Opportunities
curl --request POST \
--url https://services.leadconnectorhq.com/opportunities/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"locationId": "i2SpAtBVHSVea1sL6oah",
"query": "<string>",
"limit": 123,
"page": 123,
"searchAfter": [
"<string>"
],
"additionalDetails": {
"notes": true,
"tasks": true,
"calendarEvents": true,
"unReadConversations": true
}
}
'const options = {
method: 'POST',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
locationId: 'i2SpAtBVHSVea1sL6oah',
query: '<string>',
limit: 123,
page: 123,
searchAfter: ['<string>'],
additionalDetails: {notes: true, tasks: true, calendarEvents: true, unReadConversations: true}
})
};
fetch('https://services.leadconnectorhq.com/opportunities/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/opportunities/search"
payload = {
"locationId": "i2SpAtBVHSVea1sL6oah",
"query": "<string>",
"limit": 123,
"page": 123,
"searchAfter": ["<string>"],
"additionalDetails": {
"notes": True,
"tasks": True,
"calendarEvents": True,
"unReadConversations": True
}
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"total": 100,
"opportunities": [
{
"id": "yWQobCRIhRguQtD2llvk",
"name": "testing",
"monetaryValue": 500,
"pipelineId": "VDm7RPYC2GLUvdpKmBfC",
"pipelineStageId": "e93ba61a-53b3-45e7-985a-c7732dbcdb69",
"assignedTo": "zT46WSCPbudrq4zhWMk6",
"status": "open",
"source": "",
"lastStatusChangeAt": "2021-08-03T04:55:17.355Z",
"lastStageChangeAt": "2021-08-03T04:55:17.355Z",
"lastActionDate": "2021-08-03T04:55:17.355Z",
"indexVersion": 1,
"createdAt": "2021-08-03T04:55:17.355Z",
"updatedAt": "2021-08-03T04:55:17.355Z",
"contactId": "zT46WSCPbudrq4zhWMk6",
"locationId": "zT46WSCPbudrq4zhW",
"contact": {
"id": "byMEV0NQinDhq8ZfiOi2",
"name": "John Deo",
"companyName": "Tesla Inc",
"email": "john@deo.com",
"phone": "+1202-555-0107",
"tags": [
"<string>"
]
},
"notes": [
"<array>"
],
"tasks": [
"<array>"
],
"calendarEvents": [
"<array>"
],
"lostReasonId": "zT46WSCPbudrq4zhWMk6",
"customFields": [
{
"id": "MgobCB14YMVKuE4Ka8p1",
"fieldValue": "<string>"
}
],
"followers": [
"<array>"
]
}
],
"aggregations": {}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Authorizations
Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
Headers
API Version
Available options:
2021-07-28 Body
application/json
Last modified on March 8, 2026
Was this page helpful?
⌘I
Search Opportunities
curl --request POST \
--url https://services.leadconnectorhq.com/opportunities/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"locationId": "i2SpAtBVHSVea1sL6oah",
"query": "<string>",
"limit": 123,
"page": 123,
"searchAfter": [
"<string>"
],
"additionalDetails": {
"notes": true,
"tasks": true,
"calendarEvents": true,
"unReadConversations": true
}
}
'const options = {
method: 'POST',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
locationId: 'i2SpAtBVHSVea1sL6oah',
query: '<string>',
limit: 123,
page: 123,
searchAfter: ['<string>'],
additionalDetails: {notes: true, tasks: true, calendarEvents: true, unReadConversations: true}
})
};
fetch('https://services.leadconnectorhq.com/opportunities/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/opportunities/search"
payload = {
"locationId": "i2SpAtBVHSVea1sL6oah",
"query": "<string>",
"limit": 123,
"page": 123,
"searchAfter": ["<string>"],
"additionalDetails": {
"notes": True,
"tasks": True,
"calendarEvents": True,
"unReadConversations": True
}
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"total": 100,
"opportunities": [
{
"id": "yWQobCRIhRguQtD2llvk",
"name": "testing",
"monetaryValue": 500,
"pipelineId": "VDm7RPYC2GLUvdpKmBfC",
"pipelineStageId": "e93ba61a-53b3-45e7-985a-c7732dbcdb69",
"assignedTo": "zT46WSCPbudrq4zhWMk6",
"status": "open",
"source": "",
"lastStatusChangeAt": "2021-08-03T04:55:17.355Z",
"lastStageChangeAt": "2021-08-03T04:55:17.355Z",
"lastActionDate": "2021-08-03T04:55:17.355Z",
"indexVersion": 1,
"createdAt": "2021-08-03T04:55:17.355Z",
"updatedAt": "2021-08-03T04:55:17.355Z",
"contactId": "zT46WSCPbudrq4zhWMk6",
"locationId": "zT46WSCPbudrq4zhW",
"contact": {
"id": "byMEV0NQinDhq8ZfiOi2",
"name": "John Deo",
"companyName": "Tesla Inc",
"email": "john@deo.com",
"phone": "+1202-555-0107",
"tags": [
"<string>"
]
},
"notes": [
"<array>"
],
"tasks": [
"<array>"
],
"calendarEvents": [
"<array>"
],
"lostReasonId": "zT46WSCPbudrq4zhWMk6",
"customFields": [
{
"id": "MgobCB14YMVKuE4Ka8p1",
"fieldValue": "<string>"
}
],
"followers": [
"<array>"
]
}
],
"aggregations": {}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}